<ng-container *ngIf="filtersLoaded | async; else pending">
  <div class="my-5 bg-light border min-vh-100">
    <full-calendar [options]="calendarOptions"></full-calendar>
  </div>
</ng-container>

<ng-template #pending>
  <div class="loader"></div>
</ng-template>

<ng-template #addEventModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Add event</h5>
    <button type="button" class="close" data-dismiss="modal" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <form [formGroup]="addEventForm" (ngSubmit)="onSubmitAddEvent()">
    <div class="modal-body">
      <div class="form-group">
        <label for="title_1">Title</label>
        <input type="text" id="title_1" class="form-control" placeholder="Event title" formControlName="title">
      </div>

      <div class="form-group">
        <label for="start_1">Start</label>
        <ng-bootstrap-datetime-angular id="start_1" inputDatetimeFormat="MMMM d yyyy hh:mm a"
                                       formControlName="start"></ng-bootstrap-datetime-angular>
      </div>
      <div class="form-group">
        <label for="end_1">End</label>
        <ng-bootstrap-datetime-angular id="end_1" inputDatetimeFormat="MMMM d yyyy hh:mm a"
                                       placeholder="Leave empty for all-day events"
                                       formControlName="end"></ng-bootstrap-datetime-angular>
      </div>
      <div class="form-group">
        <label for="color_1">Choose a color</label>
        <input type="color" id="color_1" class="form-control" formControlName="backgroundColor">
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-primary">Add</button>
    </div>
  </form>
</ng-template>

<ng-template #editEventModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Edit event</h5>
    <button type="button" class="close" data-dismiss="modal" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <form [formGroup]="editEventForm" (ngSubmit)="onSubmitEditEvent()">
    <div class="modal-body">
      <div class="form-group">
        <label for="title_2">Title</label>
        <input type="text" id="title_2" class="form-control" placeholder="Event title" formControlName="title">
      </div>
      <div class="form-group">
        <label for="start_2">Start</label>
        <ng-bootstrap-datetime-angular id="start_2" inputDatetimeFormat="MMMM d yyyy hh:mm a"
                                       formControlName="start"></ng-bootstrap-datetime-angular>
      </div>
      <div class="form-group">
        <label for="end_2">End</label>
        <ng-bootstrap-datetime-angular id="end_2" inputDatetimeFormat="MMMM d yyyy hh:mm a"
                                       placeholder="Leave empty for all-day events"
                                       formControlName="end"></ng-bootstrap-datetime-angular>
      </div>
      <div class="form-group">
        <label for="color_2">Choose a color</label>
        <input type="color" id="color_2" class="form-control" formControlName="backgroundColor">
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="button" class="btn btn-danger"
              (click)="onSubmitDeleteEvent(editEventForm.get('id')?.value)">Delete
      </button>
      <button type="submit" class="btn btn-primary">Save</button>
    </div>
  </form>
</ng-template>
